CVE-2018-16848

NameCVE-2018-16848
DescriptionA Denial of Service (DoS) condition is possible in OpenStack Mistral in versions up to and including 7.0.3. Submitting a specially crafted workflow definition YAML file containing nested anchors can lead to resource exhaustion culminating in a denial of service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mistral (PTS)stretch3.0.0-4+deb9u1vulnerable
buster7.0.0-2vulnerable
bullseye, sid11.0.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mistralsourcestretch(unfixed)end-of-life
mistralsource(unstable)10.0.0~rc1-2

Notes

[buster] - mistral <no-dsa> (Minor issue)
[stretch] - mistral <end-of-life> (OpenStack component; not supported in stretch LTS)
https://bugzilla.redhat.com/show_bug.cgi?id=1645332
https://bugs.launchpad.net/mistral/%2Bbug/1785657

Search for package or bug name: Reporting problems